/* test-menu.c */

#include <stdio.h>
#include <stdlib.h>
#include <ncurses.h>
#include "display.h"
#include "menu.h"

int button = 0;

int main(void)
{
/*
    display_init();
    display_putstr("Hello, world!");
*/

    menu_init();
    keypad(stdscr, TRUE);
    menu_poll();

    while (1) {
	int c = getch();
	switch (c) {
	case KEY_UP:
	    button = 1;
	    break;
	case KEY_DOWN:
	    button = 2;
	    break;
	case KEY_LEFT:
	    button = 3;
	    break;
	case KEY_RIGHT:
	    button = 4;
	    break;
	case 'q':
	case 'Q':
	    exit(0);
	}
	menu_poll();
    }

    return 0;
}

